typedef struct {
   Window win, parent;
   int x, y, w, h;
   int visible;
   int state;
   int exposed;
   int transparent;
   int action_left, action_middle, action_right;
} Container;

void CreateContainer(Container * cont, Window parent);
void DefaultsContainer(Container * cont);
Container *ConfigContainer(Window parent, FILE * file);
void ScaleContainer(Container * cont, double scale_w, double scale_h);
void EventContainer(Container * cont, XEvent ev);
int isEventContainer(Container * cont, XEvent ev);
void FreeContainer(Container * cont);
